Retrieve instance usage analytics.
ROLES: INSTANCE_ADMIN USER: true SERVICE ACCOUNT: true
Assistant analytics use the same selected UTC period across totals, model, account, and daily-series views. The lower bound is inclusive and the upper bound is exclusive. Omit both bounds for the current UTC month through now.
curl --request GET \
--url https://api.revoengine.com/api/v1/config/instance/usage \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/config/instance/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/config/instance/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"iam": {
"accounts": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
},
"platformAccounts": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
},
"permissions": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
},
"groups": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
},
"apiKeys": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
}
},
"usage": {
"retention": {
"detailDays": 91,
"detailFrom": "2023-11-07T05:31:56Z",
"selectedPeriodDetailed": true,
"granularity": "exact",
"effectiveFrom": "2023-11-07T05:31:56Z",
"effectiveTo": "2023-11-07T05:31:56Z"
},
"previousPeriod": {
"from": "2026-08-01T00:00:00.000Z",
"to": "2026-08-14T00:00:00.000Z",
"transfer": {
"bytesIn": 123,
"bytesOut": 123
},
"jobs": {
"count": 123,
"processingMs": 123,
"failures": 123
},
"endpoints": {
"count": 123,
"processingMs": 123,
"failures": 123
},
"webhooks": {
"count": 123
}
},
"selectedPeriod": {
"from": "2026-08-01T00:00:00.000Z",
"to": "2026-08-14T00:00:00.000Z"
},
"coverage": {
"startedAt": "2023-11-07T05:31:56Z",
"aggregatedAt": "2023-11-07T05:31:56Z",
"runtimeImportedAt": "2023-11-07T05:31:56Z",
"storageImportedAt": "2023-11-07T05:31:56Z",
"lastErrorAt": "2023-11-07T05:31:56Z",
"historicalComplete": true,
"providerComplete": true
},
"billingPeriod": {
"from": "2026-08-01T00:00:00.000Z",
"to": "2026-08-14T00:00:00.000Z",
"thresholds": {
"storageBytes": 123,
"monthlyExternalTransferBytes": 123,
"databaseBytes": 123,
"jobHours": 123,
"endpointHours": 123
},
"externalTransferBytes": 123,
"endpointProcessingMs": 123,
"jobProcessingMs": 123
},
"transfer": {
"rows": [
{
"period": "2023-12-25",
"category": "external",
"source": "<string>",
"bytesIn": 123,
"bytesOut": 123,
"events": 123
}
],
"bytesIn": 123,
"bytesOut": 123
},
"storage": {
"capturedAt": "2023-11-07T05:31:56Z",
"totalBytes": 123,
"namespaceBytes": {},
"error": true,
"series": [
{
"period": "2023-11-07T05:31:56Z",
"namespaceBytes": {}
}
]
},
"database": {
"bytes": 123,
"auditBytes": 123,
"capturedAt": "2023-11-07T05:31:56Z",
"series": [
{
"period": "2023-11-07T05:31:56Z",
"bytes": 123,
"auditBytes": 123
}
]
},
"jobs": {
"count": 123,
"processingMs": 123,
"failures": 123,
"series": [
{
"period": "2023-12-25",
"count": 123,
"processingMs": 123,
"failures": 123
}
]
},
"endpoints": {
"count": 123,
"processingMs": 123,
"failures": 123,
"series": [
{
"period": "2023-12-25",
"count": 123,
"processingMs": 123,
"failures": 123
}
]
},
"webhooks": {
"count": 123,
"rows": [
{
"status": "<string>",
"count": 123
}
]
},
"monthlyPeriods": [
{
"month": "2023-12-25",
"startedAt": "2023-11-07T05:31:56Z",
"thresholds": {
"storageBytes": 123,
"monthlyExternalTransferBytes": 123,
"databaseBytes": 123,
"jobHours": 123,
"endpointHours": 123
}
}
]
},
"automation": {
"events": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
},
"schedulers": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
},
"jobTemplates": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
},
"endpoints": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
},
"components": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
},
"eventsHistory": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
},
"webhooks": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
},
"jobsProcessingTime": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
}
},
"assistant": {
"selectedPeriod": {
"from": "2026-08-01T00:00:00.000Z",
"to": "2026-08-14T00:00:00.000Z"
},
"tokenUsageCurrentBillingPeriod": {
"inputTokens": 125000,
"uncachedInputTokens": 90000,
"outputTokens": 32000,
"cachedInputTokens": 35000,
"reasoningTokens": 8000,
"totalTokens": 125500
},
"tokenUsagePreviousBillingPeriod": {
"inputTokens": 125000,
"uncachedInputTokens": 90000,
"outputTokens": 32000,
"cachedInputTokens": 35000,
"reasoningTokens": 8000,
"totalTokens": 125500
},
"tokenUsageTotal": {
"inputTokens": 125000,
"uncachedInputTokens": 90000,
"outputTokens": 32000,
"cachedInputTokens": 35000,
"reasoningTokens": 8000,
"totalTokens": 125500
},
"tokenUsageSelectedPeriod": {
"inputTokens": 125000,
"uncachedInputTokens": 90000,
"outputTokens": 32000,
"cachedInputTokens": 35000,
"reasoningTokens": 8000,
"totalTokens": 125500
},
"tokenUsagePreviousSelectedPeriod": {
"inputTokens": 125000,
"uncachedInputTokens": 90000,
"outputTokens": 32000,
"cachedInputTokens": 35000,
"reasoningTokens": 8000,
"totalTokens": 125500
},
"tokenUsageByModel": [
{
"inputTokens": 125000,
"uncachedInputTokens": 90000,
"outputTokens": 32000,
"cachedInputTokens": 35000,
"reasoningTokens": 8000,
"totalTokens": 125500,
"model": "<string>",
"billingOwner": "customer",
"customerBillable": true,
"providerModel": "gpt-5.6-luna",
"serviceTier": "fast"
}
],
"tokenUsageByAccount": [
{
"inputTokens": 125000,
"uncachedInputTokens": 90000,
"outputTokens": 32000,
"cachedInputTokens": 35000,
"reasoningTokens": 8000,
"totalTokens": 125500,
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Ada Lovelace",
"mail": "ada@example.com"
}
],
"tokenUsageSeries": [
{
"inputTokens": 125000,
"uncachedInputTokens": 90000,
"outputTokens": 32000,
"cachedInputTokens": 35000,
"reasoningTokens": 8000,
"totalTokens": 125500,
"period": "2026-08-13"
}
],
"tokenUsageAllTimeSeries": [
{
"inputTokens": 125000,
"uncachedInputTokens": 90000,
"outputTokens": 32000,
"cachedInputTokens": 35000,
"reasoningTokens": 8000,
"totalTokens": 125500,
"period": "2026-08-13"
}
]
},
"databases": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
},
"databaseSize": 1048576,
"databaseTableSize": 524288,
"materializedViewSize": 262144,
"databaseAuditSize": 262144,
"secrets": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
}
}Authorizations
Bearer JWT token or API Key (sk-*).
Query Parameters
Inclusive lower UTC timestamp for usage analytics. Defaults to the start of the current UTC month.
"2026-08-01T00:00:00.000Z"
Exclusive upper UTC timestamp for usage analytics. Defaults to the current time.
"2026-09-01T00:00:00.000Z"
Response
Instance usage counters and Assistant analytics for the normalized selected period.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
1048576
524288
262144
262144
Show child attributes
Show child attributes
curl --request GET \
--url https://api.revoengine.com/api/v1/config/instance/usage \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/config/instance/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/config/instance/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"iam": {
"accounts": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
},
"platformAccounts": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
},
"permissions": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
},
"groups": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
},
"apiKeys": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
}
},
"usage": {
"retention": {
"detailDays": 91,
"detailFrom": "2023-11-07T05:31:56Z",
"selectedPeriodDetailed": true,
"granularity": "exact",
"effectiveFrom": "2023-11-07T05:31:56Z",
"effectiveTo": "2023-11-07T05:31:56Z"
},
"previousPeriod": {
"from": "2026-08-01T00:00:00.000Z",
"to": "2026-08-14T00:00:00.000Z",
"transfer": {
"bytesIn": 123,
"bytesOut": 123
},
"jobs": {
"count": 123,
"processingMs": 123,
"failures": 123
},
"endpoints": {
"count": 123,
"processingMs": 123,
"failures": 123
},
"webhooks": {
"count": 123
}
},
"selectedPeriod": {
"from": "2026-08-01T00:00:00.000Z",
"to": "2026-08-14T00:00:00.000Z"
},
"coverage": {
"startedAt": "2023-11-07T05:31:56Z",
"aggregatedAt": "2023-11-07T05:31:56Z",
"runtimeImportedAt": "2023-11-07T05:31:56Z",
"storageImportedAt": "2023-11-07T05:31:56Z",
"lastErrorAt": "2023-11-07T05:31:56Z",
"historicalComplete": true,
"providerComplete": true
},
"billingPeriod": {
"from": "2026-08-01T00:00:00.000Z",
"to": "2026-08-14T00:00:00.000Z",
"thresholds": {
"storageBytes": 123,
"monthlyExternalTransferBytes": 123,
"databaseBytes": 123,
"jobHours": 123,
"endpointHours": 123
},
"externalTransferBytes": 123,
"endpointProcessingMs": 123,
"jobProcessingMs": 123
},
"transfer": {
"rows": [
{
"period": "2023-12-25",
"category": "external",
"source": "<string>",
"bytesIn": 123,
"bytesOut": 123,
"events": 123
}
],
"bytesIn": 123,
"bytesOut": 123
},
"storage": {
"capturedAt": "2023-11-07T05:31:56Z",
"totalBytes": 123,
"namespaceBytes": {},
"error": true,
"series": [
{
"period": "2023-11-07T05:31:56Z",
"namespaceBytes": {}
}
]
},
"database": {
"bytes": 123,
"auditBytes": 123,
"capturedAt": "2023-11-07T05:31:56Z",
"series": [
{
"period": "2023-11-07T05:31:56Z",
"bytes": 123,
"auditBytes": 123
}
]
},
"jobs": {
"count": 123,
"processingMs": 123,
"failures": 123,
"series": [
{
"period": "2023-12-25",
"count": 123,
"processingMs": 123,
"failures": 123
}
]
},
"endpoints": {
"count": 123,
"processingMs": 123,
"failures": 123,
"series": [
{
"period": "2023-12-25",
"count": 123,
"processingMs": 123,
"failures": 123
}
]
},
"webhooks": {
"count": 123,
"rows": [
{
"status": "<string>",
"count": 123
}
]
},
"monthlyPeriods": [
{
"month": "2023-12-25",
"startedAt": "2023-11-07T05:31:56Z",
"thresholds": {
"storageBytes": 123,
"monthlyExternalTransferBytes": 123,
"databaseBytes": 123,
"jobHours": 123,
"endpointHours": 123
}
}
]
},
"automation": {
"events": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
},
"schedulers": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
},
"jobTemplates": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
},
"endpoints": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
},
"components": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
},
"eventsHistory": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
},
"webhooks": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
},
"jobsProcessingTime": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
}
},
"assistant": {
"selectedPeriod": {
"from": "2026-08-01T00:00:00.000Z",
"to": "2026-08-14T00:00:00.000Z"
},
"tokenUsageCurrentBillingPeriod": {
"inputTokens": 125000,
"uncachedInputTokens": 90000,
"outputTokens": 32000,
"cachedInputTokens": 35000,
"reasoningTokens": 8000,
"totalTokens": 125500
},
"tokenUsagePreviousBillingPeriod": {
"inputTokens": 125000,
"uncachedInputTokens": 90000,
"outputTokens": 32000,
"cachedInputTokens": 35000,
"reasoningTokens": 8000,
"totalTokens": 125500
},
"tokenUsageTotal": {
"inputTokens": 125000,
"uncachedInputTokens": 90000,
"outputTokens": 32000,
"cachedInputTokens": 35000,
"reasoningTokens": 8000,
"totalTokens": 125500
},
"tokenUsageSelectedPeriod": {
"inputTokens": 125000,
"uncachedInputTokens": 90000,
"outputTokens": 32000,
"cachedInputTokens": 35000,
"reasoningTokens": 8000,
"totalTokens": 125500
},
"tokenUsagePreviousSelectedPeriod": {
"inputTokens": 125000,
"uncachedInputTokens": 90000,
"outputTokens": 32000,
"cachedInputTokens": 35000,
"reasoningTokens": 8000,
"totalTokens": 125500
},
"tokenUsageByModel": [
{
"inputTokens": 125000,
"uncachedInputTokens": 90000,
"outputTokens": 32000,
"cachedInputTokens": 35000,
"reasoningTokens": 8000,
"totalTokens": 125500,
"model": "<string>",
"billingOwner": "customer",
"customerBillable": true,
"providerModel": "gpt-5.6-luna",
"serviceTier": "fast"
}
],
"tokenUsageByAccount": [
{
"inputTokens": 125000,
"uncachedInputTokens": 90000,
"outputTokens": 32000,
"cachedInputTokens": 35000,
"reasoningTokens": 8000,
"totalTokens": 125500,
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Ada Lovelace",
"mail": "ada@example.com"
}
],
"tokenUsageSeries": [
{
"inputTokens": 125000,
"uncachedInputTokens": 90000,
"outputTokens": 32000,
"cachedInputTokens": 35000,
"reasoningTokens": 8000,
"totalTokens": 125500,
"period": "2026-08-13"
}
],
"tokenUsageAllTimeSeries": [
{
"inputTokens": 125000,
"uncachedInputTokens": 90000,
"outputTokens": 32000,
"cachedInputTokens": 35000,
"reasoningTokens": 8000,
"totalTokens": 125500,
"period": "2026-08-13"
}
]
},
"databases": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
},
"databaseSize": 1048576,
"databaseTableSize": 524288,
"materializedViewSize": 262144,
"databaseAuditSize": 262144,
"secrets": {
"total": 12,
"enabled": 10,
"disabled": 2,
"serviceAccount": 3,
"notserviceAccount": 9,
"platformAccess": 4,
"notplatformAccess": 8
}
}
